Summary:	Tool for tunneling SSH through HTTP proxies
Name:		corkscrew
Version:	2.0
Release:	32%{?dist}
License:	GPLv2
URL:		http://freshmeat.sourceforge.net/projects/corkscrew
Source0:	http://www.agroman.net/corkscrew/%{name}-%{version}.tar.gz
Source1:	%{name}.1

Patch0:		%{name}-%{version}-from-debian.patch
Patch1:		%{name}-%{version}-typo.patch
Patch2:		%{name}-%{version}-configure-c99.patch

BuildRequires:	gcc
BuildRequires: make


%description
Corkscrew is a tool for tunneling SSH through HTTP proxies.

It has been tested with the following HTTP proxies :
 * Gauntlet
 * CacheFlow
 * JunkBuster
 * Apache mod_proxy

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
%make_install

# man page
install -p -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1

%files
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc README
%doc TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Mon Dec 19 2022 Peter Fordham <peter.fordham@gmail.com> - 2.0-32
- Port configure script to C99

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 09 2008 Debarshi Ray <rishi@fedoraproject.org> - 2.0-8
- Rebuilding with gcc-4.3 in Rawhide.

* Fri Nov 16 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.0-7
- Fixed the value of Release according to Fedora dist tag guidelines.
- Preserved timestamps using 'install -p'.

* Fri Aug 03 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.0-6
- Moved the online manual page from Patch0 to Source1.

* Fri Aug 03 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.0-5
- Changed value of License according to Fedora licensing guidelines.

* Sun Jun 10 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.0-4
- Removed 'export CC=gcc' from the build stanza.

* Wed Jun 06 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.0-3
- Removed '[ -d $RPM_BUILD_ROOT ]' from the install stanza.
- Changed value of BuildRoot as per recommendations in Fedora packaging
  guidelines.

* Sat May 19 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.0-2
- Addressed warnings generated by rpmlint, and changed Source0 into a URL.
- Added AUTHORS, ChangeLog, COPYING and TODO in the list of documentation
  files.
- Added online manual page and patches to README and corkscrew.c from Debian.
- Fixed a typo in README.

* Sat May 12 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.0-1
- Initial build.
